%define upstream_name Convert-ASCII-Armour
%define upstream_version 1.4

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 4
License:        Artistic
Group:          Development/Perl
Summary:        Convert binary octets into ASCII armoured messages
Source0:        ftp://ftp.perl.org/pub/CPAN/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.bz2
Url:            http://search.cpan.org/dist/%{upstream_name}
BuildRequires:  perl(Compress::Zlib)  
Requires:       perl
BuildArch:      noarch

%description 
This module converts hashes of binary octets into ASCII
messages suitable for transfer over 6-bit clean transport
channels. The encoded ASCII resembles PGP's armoured
messages, but are in no way compatible with PGP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
echo | %__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc ARTISTIC
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.400.0-4pclos2017
- rebuild against updates

